void GetDescription(char d[])
{
   strcpy(d,"Digital clock - Hide");
}

int GetPriority()
{
   return 255;
}


int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}


void SetAlpha(char s[], int a)
{
  int r, g, b;
  char sval[10];
  char n[200];
  
  strcpy(n,s);

  r = GetValueAfter(n);
  ltoa(r,sval,10);
  strcat(n,sval);
  strcat(n," ");

  g = GetValueAfter(n);
  ltoa(g,sval,10);
  strcat(n,sval);
  strcat(n," ");

  b = GetValueAfter(n);
  ltoa(b,sval,10);
  strcat(n,sval);
  strcat(n," ");

  ltoa(a,sval,10);
  strcat(n,sval);

  ReplaceLineByStr(s,n);
  
}



void PatchSKI()
{
   SetAlpha("4 587 ", 255);
   SetAlpha("4 588 ", 255);
   SetAlpha("4 589 ", 255);
}
